Diese Seite ist auf Deutsch noch nicht aktuell. Deshalb wird unten die neueste englische Version angezeigt.
Get an object with the active 2FA methods for your account and when they were enabled
A valid access token (proof of identity) can be obtained via the /accesstoken endpoint. It has a 5 minutes validity period.
In: header
application/json
application/json
curl -X GET "https://example.com/user/2fa"{ "enabled": true, "emailOtp": { "email": "user@example.com", "completedAt": "2019-08-24T14:15:22Z" }, "totp": { "completedAt": "2019-08-24T14:15:22Z" }, "recoveryCodes": { "completedAt": "2019-08-24T14:15:22Z" }}Remaining attempts for the current email OTP GET
Get the number of attempts left for the current OTP, so a client can tell beforehand whether entering the OTP can still succeed
Set or reset email OTP POST
Providing a sudo token or an access token (if 2FA is disabled), configure a mail address for email OTP